#!/bin/sh
# compile and install Gstreamer TI Plugins into /usr/local on target filesystem

. ./build.conf

#Location of Gstreamer package config path 
export PKG_CONFIG_PATH=${GST_PREFIX}/lib/pkgconfig

export CE_PACKAGES_PATH=$DVSDK_PATH/codec_engine_2_00_01/packages
export XDC_PACKAGES_PATH=$DVSDK_PATH/xdc_3_00_02/packages
export XDAIS_PACKAGES_PATH=$DVSDK_PATH/xdais_6_00_01/packages
export FC_PACKAGES_PATH=${DVSDK_PATH}/framework_components_2_00_01/packages


export CFLAGS="-Dxdc_target__='<gnu/targets/std.h>' \
               -I${XDC_PACKAGES_PATH} -I${CE_PACKAGES_PATH} \
               -I${XDAIS_PACKAGES_PATH} -I${FC_PACKAGES_PATH}"

cd "$(pwd)/plugins" &&
CC=arm_v5t_le-gcc ./configure --build=i686-linux --host=arm-linux \
        --prefix=${GST_PREFIX} && make clean && make install

