#!/bin/sh
# load modules for gstreamer

rmmod cmemk 2>/dev/null
rmmod dm350mmap 2>/dev/null

# for both ce mpeg4 & mad mp3
insmod ./cmemk.ko phys_start=0x87400000 phys_end=0x88000000 pools=3x8192,3x1843202,1x3161088 &&

insmod dm350mmap.ko &&
rm -f /dev/dm350mmap &&
mknod /dev/dm350mmap c `awk "\\$2==\"dm350mmap\" {print \\$1}" /proc/devices` 0 &&

fbset -fb /dev/fb/0 -xres 0 -yres 0
fbset -fb /dev/fb/3 -xres 0 -yres 0

if fbset -fb /dev/fb/1 |grep 'geometry 1280 720' > /dev/null; then
    echo 0x20000020 0x10 > /sys/class/davinci_system/system/reg
fi

[ -n "$GST_PLUGIN_PATH" ] ||
    export GST_PLUGIN_PATH=/usr/local/lib/gstreamer-0.10

