#!/bin/sh

. ./build.conf

TOPDIR=$PWD
GST_VER=0.10.20

cd ${TOPDIR}/libce && make clean && make install || exit $?

cd ${TOPDIR}/opensource && 
( if [ ! -d tmp ]; then
     ./download.sh
  elif [ ! -d gstreamer-${GST_VER} ]; then
     ./download.sh -nd
  fi ) &&
./make-os.sh || exit $?

cd ${TOPDIR} && ./make-ti.sh || exit $?
cd ${TOPDIR}/apps && make clean && make install || exit $?
cp -av ${TOPDIR}/apps/loadmodules.sh $APP_DESTDIR
cp -av ${TOPDIR}/apps/gst.sh $APP_DESTDIR

